#!/usr/bin/env ruby -w

require 'borges'
require 'borges/Renderer'

include Borges

##
# A simple counter example using the Renderer

def counter
  count = 0
  loop do
    render do |r|
      r.heading count
      r.anchor("inc"){count += 1}
      r.space
      r.anchor("dec"){count -= 1}
    end
  end
end

Borges::register_application("counter", method(:counter))

if $0 == __FILE__ then
  require 'borges/Webrick'

  Borges::WebrickConnection.start
end

