##
# Handler for Radical - contributed by _why
# 
# http://idanso.dyndns.org:8081/

module Radical

  module HTTP
    class Request
      def _uri
        @_uri
      end

      def query
        path[@_uri.length+1..-1]
      end
    end
  end

  module Handlers
    class BorgesHandler < BaseHandler

    include Singleton

    def execute( req, res )
      request = Borges::Request.new( req._uri, req.query )
      response = Borges::Response.new
      Borges::Application.handle_request( request, response )
      res.status = response.status
      res.header['Content-Type'] = response.contentType
      res.header['Content-Length'] = response.body.length
      res.body = response.body
    end

    end
  end

end

