require 'template'

module Borges
  def make_page(template, *args)
    output = ''

    ::Template.new(template).write_html_on(output, *args)

    return output
  end
end

include Borges

def ask(template, *args)
  request = respond do |r|
    r << make_page(template, r, *args)
  end
 
  return request.args
end

def say(template, *args)
  respond do |r|
    r << make_page(template, r, *args)
  end
end

